<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Room</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
  <section class="section">
    <div class="section-header">
      <h1>Ruangan</h1>
    </div>
    <div class="section-body">
      <div class="row">
        <div class="col-md-12 grid-margin stretch-card">
          <div class="card">
            <div class="card-header">
              <h4>Form</h4>
              <div class="card-header-action">
                <a th:href="@{/masters/room}" class="btn btn-info"><i class="fa fa-arrow-circle-left"></i> Back</a>
              </div>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <form th:action="@{/masters/room/new}" th:object="${room}"  method="post">
                    <div class="form-group">
                      <label>Building Id</label>
                      <select class="form-control" name="idGedung" th:field="*{idGedung}" required>
                        <option value="" selected disabled>-- select one --</option>
                        <option th:each="data, row: ${gedung}"
                                th:value="${data.id}"
                                th:text="${data.namaGedung}"></option>
                      </select>
                    </div>
                    <div class="form-group">
                      <label>Room Code</label>
                      <input type="text" required class="form-control" th:field="*{kodeRuangan}" name="kodeRuangan">
                    </div>
                    <div class="form-group">
                      <label>Room Category</label>
                      <select class="form-control" name="idJenisRuangan" th:field="*{idJenisRuangan}" id="">
                        <option value="" selected disabled>-- Select One --</option>
                        <option th:each="data, row:${ruanganJenis}"
                                th:value="${data.id}"
                                th:text="${data.jenisRuangan}"></option>
                      </select>
                    </div>
                    <div class="form-group">
                      <label>Room Name</label>
                      <input type="text" class="form-control" th:field="*{namaRuangan}" name="namaRuangan">
                    </div>
                    <div class="form-group">
                      <label>Floor</label>
                      <input type="text" class="form-control" th:field="*{lantai}" name="lantai">
                    </div>
                    <div class="form-group">
                      <label>Room capacity</label>
                      <input type="text" class="form-control" th:field="*{kapasitas}" name="kapasitas">
                    </div>
                    <div class="form-group">
                      <label>Descriptions</label>
                      <input type="text" class="form-control" th:field="*{keterangan}" name="kapasitas">
                    </div>
                    <div class="form-group">
                      <label>Status Room</label>
                      <select name="statusRuangan" th:field="*{statusRuangan}" class="form-control">
                        <option value="" selected disabled>-- Select One --</option>
                        <option value="BISA_DIPINJAMKAN">BISA DIPINJAMKAN</option>
                        <option value="TIDAK_BISA_DIPINJAMKAN">TIDAK BISA DIPINJAMKAN</option>
                      </select>
                    </div>
                    <input type="hidden" name="id" th:field="*{id}">
                    <div class="form-group">
                      <button class="btn btn-primary">Save</button>
                      <a th:href="@{/masters/room}" class="btn btn-danger">Cancel</a>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

</div>
</body>
</html>